update to 4.0

Discussion in 'Wii - Hacking' started by eggzy, Jul 6, 2009.

  1. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    I have a question, I read that update 4.0 has some cool features, and I want to have them [​IMG] . But I have homebrew channel, wad manager 1.3 channel, few games installed throught wads, and my wii is moded wth wiikey. I followed many tutorials here and installed many ioses, cioses whatever they are so I dont know should I update or not, and whats the safest way.
     
  2. tj_cool

    tj_cool Site dev

    Supervisor
    9,993
    -1
    Jan 7, 2009
    Belgium
    This planet
  3. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    but is it safe, cuz I have a lot of stuff on my wii?
     
  4. tj_cool

    tj_cool Site dev

    Supervisor
    9,993
    -1
    Jan 7, 2009
    Belgium
    This planet
    its safe with everything: cIOSCorp, preloader, bootmii, cSM, cIOS, cMIOS, all homebrew apps, HBC, Softmii, Miiwii, installed wads (VC/WW/Homebrew), Modchip, ...
    only danger is if you want cIOSCorp, be sure you don't have boot2v4
     
  5. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    great thx ^^

    I read that tutorial and its similar to this:
    http://wehackwii.pbworks.com/News
    I did everything in that tutorial except OPTIONAL STEP

    and can I backup nand memory on SD taht has files on it or it needs to be empty
     
  6. FOUNTAINEER

    FOUNTAINEER Advanced Member

    Newcomer
    66
    0
    Jul 8, 2006
    Canada
    toronto
    what is the boot2v4?
    i modded a virgin wii 3.3u with softmii 3.0. I don't think i came across anything like that. my next step is to upgrade to 4.0. anyreason why the ultimate and other guides require for the firmware to be downgraded to 3.2 and then downgraded/upgraded to 4.0. why not go directly to 4.0 from 3.3 or 3.4?
     
  7. Madridi

    Madridi Card Collector

    Member
    3,157
    970
    May 9, 2008
    Qatar
    Doha
    yeah same question..
    my bro just got a wii and I installed cIOSCorp on it, whats boot2v4?
     
  8. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    boot2v4 Wiis are the LU64-type Wiis. You don't have one of those.
     
  9. Tux'

    Tux' GBAtemp Advanced Fan

    Member
    723
    2
    Feb 8, 2009
    Canada
    The flat lands.
    Taken from bootmii.org. Anyways, a boot2v4 is a boot(2) that cannot be modified because of boot(1).
     
  10. Madridi

    Madridi Card Collector

    Member
    3,157
    970
    May 9, 2008
    Qatar
    Doha
    So there is no harm in using cIOSCorp in my case right..?
    I think his wii is LU11 ..?
     
  11. tj_cool

    tj_cool Site dev

    Supervisor
    9,993
    -1
    Jan 7, 2009
    Belgium
    This planet
    no harm can be done for LU11 [​IMG]

    And yes boot2v4 is for LU64+ wiis. Bootmii can't be installed on these wii's as nintendo changed the boot1 (which launches boot2)
     
  12. Madridi

    Madridi Card Collector

    Member
    3,157
    970
    May 9, 2008
    Qatar
    Doha
    Alright thanks [​IMG]
     
  13. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    I'm glad for you, but nobody answered my question -.-

    Is it safe to update cuz I did the following steps, except that optional step (downgrade to 3.2) from this tut:
    http://wehackwii.pbworks.com/News

    and

    can I backup nand memory on SD card that has files on it or SD card needs to be empty
     
  14. tj_cool

    tj_cool Site dev

    Supervisor
    9,993
    -1
    Jan 7, 2009
    Belgium
    This planet
    again, if you have no LU64+ wii (first 4 letters of serial, but you probably don't have LU64+) its completely safe.
    Nand backup can be done to any sd card as long as it has enough free space
     
  15. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    tnx for replies (I'm from europe - LEH serial). Gonna do update tomorrow.
     
  16. pm_41

    pm_41 GBAtemp Regular

    Member
    204
    0
    Jul 1, 2009
    United States
    Lurking in my Wii's NAND
    Also, boot2v3 can't be modified by BootMii (at least, not yet).
     
  17. FOUNTAINEER

    FOUNTAINEER Advanced Member

    Newcomer
    66
    0
    Jul 8, 2006
    Canada
    toronto
    I think one of my questions is probably getting lost at the beginning of this post so i'll repost.
    Why does the ultimate guide and a other ones that i came across show to downgrade from 3.3 to 3.2 and then upgrade to 4.0. why not upgrade directly from 3.3 or 3.4 to 4.0?

    In my case i'll be doing an upgrade to 4.0 from 3.3u. I'd like to know the reason for that. since everyone is doing it i'm sure there is a good reason behind it.

    thanks and sorry for the repost.
     
  18. eggzy
    OP

    eggzy Member

    Newcomer
    31
    0
    May 25, 2008
    Croatia
    I'd like to know that too, I have 3.4e version
     
  19. tj_cool

    tj_cool Site dev

    Supervisor
    9,993
    -1
    Jan 7, 2009
    Belgium
    This planet
    3.2 is better to softmod. It gives no errors when installing cIOS/WADs as nintendo fixed this in 3.3v2
    Thats why we downgrade to 3.2

    A while ago (before preloader worked on 4.0), 3.2 was the best firmware to have. Its also on of the 2 versions that have preloader hacks.
     
  20. FOUNTAINEER

    FOUNTAINEER Advanced Member

    Newcomer
    66
    0
    Jul 8, 2006
    Canada
    toronto
    That makes sense, but since i've already softmodded my 3.3u does it still make sense to downgrade to 3.2 and then to 4.0? why not go directly to 4.0?

    Also would the 3.2 downgrade and upgrade wipe a lot or any of the softmii installs/changes?